package de.hawhamburg.reachability.constants;

/**
 * Frequently used numerical constants.<br><br>
 * 
 * This final class provides the system with frequently used numerical constants.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public final class NumericalConstants {
    
    /**
     * No instances of this constants class.
     */
    private NumericalConstants() { }

    /**
     * The base number of the decimal system.
     */
    public static final int DECIMAL_BASE                = 10;
    
    /**
     * The number 10.
     */
    public static final int TEN                         = DECIMAL_BASE;
    
    /**
     * The number 100.
     */
    public static final int HUNDRED                     = (int) Math.pow(DECIMAL_BASE, 2);
    
    /**
     * The number 1000.
     */
    public static final int THOUSAND                    = (int) Math.pow(DECIMAL_BASE, 3);
}
