package de.hawhamburg.reachability.tools.feeder.json;

import de.hawhamburg.lifecycle.data.JsonLPObject;

/**
 * A JSON message which represents simulated data.<br><br>
 * 
 * This class represents the structure of the JSON messages which describes a reachability agent data feeder item. This 
 * message contains a simulated sensor input. The message will be send by the
 * {@link de.hawhamburg.reachability.tools.feeder.SensorDataFeeder}.<br><br>
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public class JsonSensorDataFeederItem extends JsonLPObject {

    /**
     * The type of the sensor as {@link String}.
     */
    public String SensorType;
    
    /**
     * The simulated value as {@link String}.
     */
    public String SensorValue;
    
    /**
     * Default public constructor to create instances of this class.
     */
    public JsonSensorDataFeederItem() { }
}
